Bug 2792 - VFS shadow_copy: panic in sys_telldir()
VFS shadow_copy: panic in sys_telldir()
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.14a
All FreeBSD
: P3 major
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-12 21:51 UTC by core@road-star.jp
Modified: 2005-08-24 10:22 UTC (History)
0 users

See Also:


Attachments
Hook seekdir(), telldir() and rewinddir() (2.13 KB, patch)
2005-06-12 21:53 UTC, core@road-star.jp
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description core@road-star.jp 2005-06-12 21:51:43 UTC
shadow_copy_opendir() return address to shadow_copy_Dir. The readdir() and The
closedir() functions is hooked VFS shadow_copy module, then no problems.

But, seekdir(), telldir() and rewinddir() is not hooked by VFS shadow_copy
module. these function processed by default handler/function in the
smbd/vfs-wrap.c. these default handler expect address to struct DIR. but
shadow_copy_opendir() returned address to shadow_copy_Dir, not address to struct
DIR.

Therefore paniced in seekdir(), telldir() and rewinddir() on The FreeBSD 5.4-STABLE.

Maybe other system (LINUX, Solaris,...) is not panic, return -1 and set   EBADF
to errno.
Comment 1 core@road-star.jp 2005-06-12 21:53:15 UTC
Created attachment 1269 [details]
Hook seekdir(), telldir() and rewinddir()

shadow_copy module hook seekdir(), telldir() and rewinddir(). these function
don't use address to struct DIR.
Comment 2 Jeremy Allison 2005-06-13 09:48:54 UTC
Applied - thanks !
Jeremy.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:22:00 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.